#!/bin/sh
mkdir /tmp/tinycore
zcat /mnt/hda1/boot/tinycore-org.gz | (cd /tmp/tinycore; cpio -i -H newc -d)
sh copyfromlist.sh firmware
sh copyfromlist.sh Xorg-7.5
sh copyfromlist.sh Xorg-7.5-lib
sh copyfromlist.sh pixman
sh copyfromlist.sh openssl-0.9.8
sh copyfromlist.sh feh-1.3.4
sh copyfromlist.sh giblib
depmod -b /tmp/tinycore 2.6.33.3-tinycore
cd /tmp/tinycore
find | cpio -o -H newc | gzip -2 > ../tinycore.gz
cd ..
advdef -z4 tinycore.gz
rm -r /tmp/tinycore
